<html lang="en" data-bs-theme="auto">
<script src="<?=ROOT?>/assets/js/color-modes.js"></script>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <title><?=APP_NAME?></title>
    <link rel="icon" type="image/x-icon" href="<?=ROOT?>/assets/images/blogger.png  ">
    <link rel="canonical" href="https://getbootstrap.com/docs/5.3/examples/headers/">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@docsearch/css@3">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    

    <script src="<?=ROOT?>/assets/js/bootstrap/bootstrap.bundle.min.js"></script>
    <link href="<?=ROOT?>/assets/css/bootstrap/bootstrap.min.css" rel="stylesheet">

    <style>

      .b-example-divider {
        width: 100%;
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

       .nav {
        display: flex;
        flex-wrap: wrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
      }

      .btn-bd-primary {
        --bd-violet-bg: #712cf9;
        --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

        --bs-btn-font-weight: 600;
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--bd-violet-bg);
        --bs-btn-border-color: var(--bd-violet-bg);
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: #6528e0;
        --bs-btn-hover-border-color: #6528e0;
        --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
        --bs-btn-active-color: var(--bs-btn-hover-color);
        --bs-btn-active-bg: #5a23c8;
        --bs-btn-active-border-color: #5a23c8;
      }

      .bd-mode-toggle {
        z-index: 1500;
      }

      .bd-mode-toggle .dropdown-menu .active .bi {
        display: block !important;
      }

        .card-body{
         position: relative;
        }
        .card-img-top {
            height: auto;
            object-fit: cover;
        }

        .category {
            position: absolute;
            top: 10px;
            left: 10px;
            background-color: orange;
            color: white;
            padding: 5px 10px;
            font-size: 14px;
            text-transform: uppercase;
            border-radius: 5px;
        }

        .profile-img {
            width: 50px;
            height: 50px;
            border-radius: 50%;
            object-fit: cover;
        }

        .author a {
            text-decoration: none;
            color: orange;
            font-weight: bold;
        }

        .info {
            font-size: 14px;
            color: #888;
        }

        .info i {
            margin-right: 5px;
            color: #555;
        }
        .post-image {
          width: 100%;
          height: auto;  /* Adjust this height as needed */
          object-fit: cover; /* Ensures the image fills the space properly */
          border-top-left-radius: 8px;
          border-top-right-radius: 8px;
      }

      .card {
          height: 100%; /* Ensures all cards have the same height */
          display: flex;
          flex-direction: column;
      }

      .card-body {
          flex-grow: 1; /* Makes sure the content expands properly */
          padding: 1.25rem;
      }
          .category-badge {
            font-size: 0.8rem;
            font-weight: bold;
            opacity: 0.9;
        }
        .like-btn {
            border: none;
            background: none;
            cursor: pointer;
            font-size: 1.5rem;
        }
        .like-btn .bi-heart-fill {
            color: red; /* Filled heart color */
        }


    </style>

    
    <!-- Custom styles for this template -->
    <link href="<?=ROOT?>/assests/css/headers.css" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.13/cropper.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.13/cropper.min.css">

  </head>
  <body>
    <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
      <symbol id="check2" viewBox="0 0 16 16">
        <path d="M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0z"></path>
      </symbol>
      <symbol id="circle-half" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 0 8 1v14zm0 1A8 8 0 1 1 8 0a8 8 0 0 1 0 16z"></path>
      </symbol>
      <symbol id="moon-stars-fill" viewBox="0 0 16 16">
        <path d="M6 .278a.768.768 0 0 1 .08.858 7.208 7.208 0 0 0-.878 3.46c0 4.021 3.278 7.277 7.318 7.277.527 0 1.04-.055 1.533-.16a.787.787 0 0 1 .81.316.733.733 0 0 1-.031.893A8.349 8.349 0 0 1 8.344 16C3.734 16 0 12.286 0 7.71 0 4.266 2.114 1.312 5.124.06A.752.752 0 0 1 6 .278z"></path>
        <path d="M10.794 3.148a.217.217 0 0 1 .412 0l.387 1.162c.173.518.579.924 1.097 1.097l1.162.387a.217.217 0 0 1 0 .412l-1.162.387a1.734 1.734 0 0 0-1.097 1.097l-.387 1.162a.217.217 0 0 1-.412 0l-.387-1.162A1.734 1.734 0 0 0 9.31 6.593l-1.162-.387a.217.217 0 0 1 0-.412l1.162-.387a1.734 1.734 0 0 0 1.097-1.097l.387-1.162zM13.863.099a.145.145 0 0 1 .274 0l.258.774c.115.346.386.617.732.732l.774.258a.145.145 0 0 1 0 .274l-.774.258a1.156 1.156 0 0 0-.732.732l-.258.774a.145.145 0 0 1-.274 0l-.258-.774a1.156 1.156 0 0 0-.732-.732l-.774-.258a.145.145 0 0 1 0-.274l.774-.258c.346-.115.617-.386.732-.732L13.863.1z"></path>
      </symbol>
      <symbol id="sun-fill" viewBox="0 0 16 16">
        <path d="M8 12a4 4 0 1 0 0-8 4 4 0 0 0 0 8zM8 0a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 0zm0 13a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 13zm8-5a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2a.5.5 0 0 1 .5.5zM3 8a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2A.5.5 0 0 1 3 8zm10.657-5.657a.5.5 0 0 1 0 .707l-1.414 1.415a.5.5 0 1 1-.707-.708l1.414-1.414a.5.5 0 0 1 .707 0zm-9.193 9.193a.5.5 0 0 1 0 .707L3.05 13.657a.5.5 0 0 1-.707-.707l1.414-1.414a.5.5 0 0 1 .707 0zm9.193 2.121a.5.5 0 0 1-.707 0l-1.414-1.414a.5.5 0 0 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .707zM4.464 4.465a.5.5 0 0 1-.707 0L2.343 3.05a.5.5 0 1 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .708z"></path>
      </symbol>
    </svg>

    <div class="dropdown position-fixed bottom-0 end-0 mb-3 me-3 bd-mode-toggle">
      <button class="btn btn-bd-primary py-2 dropdown-toggle d-flex align-items-center" id="bd-theme" type="button" aria-expanded="false" data-bs-toggle="dropdown" aria-label="Toggle theme (auto)">
        <svg class="bi my-1 theme-icon-active" width="1em" height="1em"><use href="#circle-half"></use></svg>
        <span class="visually-hidden" id="bd-theme-text">Toggle theme</span>
      </button>
      <ul class="dropdown-menu dropdown-menu-end shadow" aria-labelledby="bd-theme-text">
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="light" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#sun-fill"></use></svg>
            Light
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="dark" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#moon-stars-fill"></use></svg>
            Dark
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center active" data-bs-theme-value="auto" aria-pressed="true">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#circle-half"></use></svg>
            Auto
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
      </ul>
    </div>

    

<?php
$current_page = trim(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH), "/");
?>

<header class="p-3 border-bottom">
    <div class="container">
        <div class="d-flex flex-wrap align-items-center justify-content-center">
            <!-- Logo -->
            <a href="/" class="d-flex justify-content-left align-items-center mb-2 mb-lg-0 mx-md-5 link-body-emphasis text-decoration-none">
                <img src="<?=ROOT?>/assets/images/blogger.png" alt="Logo" class="img-fluid" style="width: 50px; max-height: 50px; object-fit: contain;">
            </a>

            <!-- Navigation Bar -->
            <ul class="nav nav-pills justify-content-center gap-3 py-2 rounded shadow-sm" id="navBar">
                <li class="nav-item">
                    <a class="nav-link d-flex align-items-center gap-2 fw-semibold px-3 py-2 <?= ($current_page == '' || $current_page == 'index.php') ? 'active' : '' ?>" 
                      href="<?=ROOT?>">
                      <i class="bi bi-house-door-fill"></i> Home
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link d-flex align-items-center gap-2 fw-semibold px-3 py-2 <?= $current_page == 'blog' ? 'active' : '' ?>" 
                      href="<?=ROOT?>/blog">
                      <i class="bi bi-images"></i> Blog
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link d-flex align-items-center gap-2 fw-semibold px-3 py-2 <?= $current_page == 'contact' ? 'active' : '' ?>" 
                      href="<?=ROOT?>/contact">
                      <i class="bi bi-chat-text-fill"></i> Contact
                    </a>
                </li>

                <?php if (!in_array($url[0], ['admin', 'blog', 'search', 'profile', 'post', 'contact', 'user'])): ?>
                <li class="nav-item dropdown">
                    <a href="#" class="nav-link d-flex align-items-center justify-content-center dropdown-toggle <?= $current_page == 'category' ? 'active' : '' ?>" 
                      data-bs-toggle="dropdown" aria-expanded="false">
                      <i class="bi bi-tags-fill"></i> Category
                    </a>
                    <?php
                    $query = "SELECT * FROM categories WHERE active=1";
                    $categories = query($query);
                    ?>
                    <ul class="dropdown-menu text-small">
                        <?php foreach ($categories as $category): ?>
                            <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$category['slug']?>"><?=$category['category']?></a></li>
                        <?php endforeach; ?>           
                    </ul>
                </li>
                <?php endif; ?>
            </ul>

            <!-- Search Bar & User Profile -->
            <div class="d-flex align-items-center">
                <!-- Search Form -->
                <form action="<?=ROOT?>/search" class="d-flex align-items-center me-3 mt-3" role="search">
                    <div class="input-group" style="max-width: 250px;">
                        <input value="<?=$_GET['find'] ?? ''?>" name="find" 
                            type="search" 
                            class="form-control rounded-start-pill px-4 shadow-sm" 
                            placeholder="Search..." 
                            aria-label="Search">
                        <button type="submit" class="btn btn-primary rounded-end-pill">
                            <i class="bi bi-search"></i>
                        </button>
                    </div>
                </form>

                <!-- User Profile Dropdown -->
                <?php if(logged_in()){
                    $image_user = find('users', $_SESSION['user_id'], 'image');
                    $role = find('users', $_SESSION['user_id'], 'role');
                
                                }                ?>
                <div class="dropdown text-end">
                    <a href="#" class="d-flex align-items-center link-body-emphasis text-decoration-none dropdown-toggle" 
                       data-bs-toggle="dropdown" aria-expanded="false">
                        <img src="<?=get_image($image_user)?>" alt="User Image" class="img-fluid rounded-circle" 
                             style="width: 50px; height: 50px; object-fit: cover;">
                    </a>
                    <ul class="dropdown-menu text-small">
                        <li>
                            <a class="dropdown-item" href="<?= ($role == 'admin') ? '/admin/posts/add' : '/user/post/add'; ?>">
                                New Post...
                            </a>
                        </li>
                        <li><a class="dropdown-item" href="<?=ROOT?>/admin">Admin</a></li>
                        <li><a class="dropdown-item" href="<?=ROOT?>/profile/<?=$_SESSION['user_id']?>">Profile</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <?php if(!logged_in()): ?>
                            <li><a class="dropdown-item" href="<?=ROOT?>/login">Sign in</a></li>
                        <?php else: ?>
                            <li><a class="dropdown-item" href="<?=ROOT?>/logout">Sign out</a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div> <!-- End of Search & Profile -->
        </div>
    </div>
</header>

  <? 
if($url[0]=='home')
  include 'slider.php'?>


